Loading...
Searching...
No Matches
casacore::Poisson Class Reference
casa package (libcasa_casa) » BasicMath_module

Poisson distribution. More...

`#include <Random.h>`

## Public Member Functions

| Poisson (RNG *gen, Double mean=0.0)
| Construct a random number generator for a Poisson distribution.
virtual | ~Poisson ()
| The destructor is trivial.
virtual Double | operator() ()
| Returns a value from the Poisson distribution.
uInt | asInt ()
Double | mean () const
| Functions that allow you to query and change the parameters of the Poisson distribution.
void | mean (Double x)
virtual void | setParameters (const Vector< Double > &parms)
| These function allow you to manipulate the parameters (mean) described above through the base class.
virtual Vector< Double > | parameters () const
virtual Bool | checkParameters (const Vector< Double > &parms) const
Public Member Functions inherited from casacore::Random
virtual | ~Random ()
| A virtual destructor is needed to ensure that the destructor of derived classes gets used.
RNG * | generator ()
| Functions that allow you to access and change the class that generates the random bits.
void | generator (RNG *p)

## Private Attributes

Double | itsMean

## Additional Inherited Members

Public Types inherited from casacore::Random
enum | Types { BINOMIAL , DISCRETEUNIFORM , ERLANG , GEOMETRIC , HYPERGEOMETRIC , NORMAL , LOGNORMAL , NEGATIVEEXPONENTIAL , POISSON , UNIFORM , WEIBULL , UNKNOWN , NUMBER_TYPES }
| This enumerator lists all the predefined random number distributions. More...
Static Public Member Functions inherited from casacore::Random
static String | asString (Random::Types type)
| Convert the enumerator to a lower-case string.
static Random::Types | asType (const String &str)
| Convert the string to enumerator.
static Random * | construct (Random::Types type, RNG *gen)
| Convert the Random::Type enumerator to a specific object (derived from Random but upcast to a Random object).
static Vector< Double > | defaultParameters (Random::Types type)
| returns the default parameters for the specified distribution.
Protected Member Functions inherited from casacore::Random
| Random (RNG *generator)
Protected Attributes inherited from casacore::Random
RNG * | itsRNG

## Detailed Description

Poisson distribution.

### Synopsis

The Poisson class implements a Poisson distribution. The mean parameter, is the only parameter of this distribution. The operator() functions returns a value from this distribution. The remaining members allow you to inspect and change the mean. It is assumed that the supplied mean is non-negative and an AipsError exception is thrown if this is not true. The remaining members allow you to read and set the parameters.

### Example

### Thrown Exceptions

- No exceptions are thrown by this class.

### To Do

- Nothing I hope!

Definition at line 1200 of file Random.h.

## Constructor & Destructor Documentation

## Poisson()

casacore::Poisson::Poisson | ( | RNG * | gen,
|  | Double | mean = 0.0 )

Construct a random number generator for a Poisson distribution.

The first argument is a class that produces random bits. This pointer is NOT taken over by this class and the user is responsible for deleting it. The second argument defines the parameters for this distribution as described in the synopsis.

References mean().

## ~Poisson()

virtual casacore::Poisson::~Poisson | ( |  | ) |

virtual

The destructor is trivial.

## Member Function Documentation

## asInt()

uInt casacore::Poisson::asInt | ( |  | ) |

## checkParameters()

virtual Bool casacore::Poisson::checkParameters | ( | const Vector< Double > & | parms | ) | const

virtual

Implements casacore::Random.

## mean() [1/2]

Double casacore::Poisson::mean | ( |  | ) | const

inline

Functions that allow you to query and change the parameters of the Poisson distribution.

Definition at line 1240 of file Random.h.

References itsMean.

Referenced by Poisson().

## mean() [2/2]

void casacore::Poisson::mean | ( | Double | x | ) |

## operator()()

virtual Double casacore::Poisson::operator() | ( |  | ) |

virtual

Returns a value from the Poisson distribution.

The returned value is a non-negative integer and using the asInt function bypasses the conversion to a floating point number.

Implements casacore::Random.

## parameters()

virtual Vector< Double > casacore::Poisson::parameters | ( |  | ) | const

virtual

Implements casacore::Random.

## setParameters()

virtual void casacore::Poisson::setParameters | ( | const Vector< Double > & | parms | ) |

virtual

These function allow you to manipulate the parameters (mean) described above through the base class.

The Vectors must always be of length one.

Implements casacore::Random.

## Member Data Documentation

## itsMean

Double casacore::Poisson::itsMean

private

Definition at line 1237 of file Random.h.

Referenced by mean().

The documentation for this class was generated from the following file:

- casa/BasicMath/Random.h